%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File:         PC:carcdrnil.sl 
% Title:        support of (car NIL) -> NIL, (cdr NIL) -> NIL
% Author:       Herbert Melenk, ZIB-Berlin
% Created:      21-Dec 1990
% Status:       Experimental (Do Not Distribute) 
% Mode:         Lisp 
% Package:      Compiler 
%
% Copyright (c) 1990 Konrad-Zuse-Zentrum Berlin, all rights reserved
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Revisions:
%
%  Fastcar logic added by Russ Fish, U of U, 04-Jan 1990

(fluid '(*fastcar))
(setf *fastcar nil)

(de pa1r-car(form)
      `(,(if !*FastCar
           (first form)
           `(lambda(($local &&&x))
              (cond((eq ($local &&&x)(quote nil)) (quote nil))
                   ((quote t) (car ($local &&&x))))))
        ,(second form)))

(put 'car 'pass-1-reform 'pa1r-car)

(de pa1r-cdr(form)
      `(,(if !*FastCar
           (first form)
           `(lambda(($local &&&x))
              (cond((eq ($local &&&x)(quote nil)) (quote nil))
                   ((quote t) (cdr ($local &&&x))))))
        ,(second form)))

(put 'cdr 'pass-1-reform 'pa1r-cdr)

