%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File:         PXC:COMPILER.SL
% Description:  PSL Compiler.
% Author:       Harold Carr & Leigh Stoller
% Created:
% Modified:
% Mode:         Lisp
% Package:
% Status:       Experimental (Do Not Distribute)
%
% (c) Copyright 1987, University of Utah, all rights reserved.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% This file loads in all the compiler modules for ibmrs.
%

(load datamachine
      pass-1
      pass-2-3
      comp-decls
      pass-1-lap
      ibmrs-lap
      ibmrs-cmac
      ibmrs-comp
      backquote         % Needed for ibmrs LAP patterns.
      registers
      ibmrs-instrs
      faslout
      ibmrs-spec)

(setq *writingfaslfile nil)
(setq *writingasmfile nil)

% End of file.
